Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.service
Class WriteResponseHandler

    java.lang.Object
      org.apache.cassandra.service.WriteResponseHandler

All Implemented Interfaces:
  IAsyncCallback

    public class WriteResponseHandler

extends java.lang.Object
implements IAsyncCallback

Field Summary
`protected SimpleCondition` | `condition`
`protected java.util.concurrent.atomic.AtomicInteger` | `localResponses`
`protected static org.apache.log4j.Logger` | `logger`
`protected java.util.Collection<Message>` | `responses`

Constructor Summary
`WriteResponseHandler(int responseCount, java.lang.String table)`

Method Summary
`void` | `get()`
`void` | `localResponse()`
`void` | `response(Message message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final org.apache.log4j.Logger logger

### condition

    protected final SimpleCondition condition

### responses

    protected final java.util.Collection<Message> responses

### localResponses

    protected java.util.concurrent.atomic.AtomicInteger localResponses

Constructor Detail

### WriteResponseHandler

    public WriteResponseHandler(int responseCount,
                                java.lang.String table)

Method Detail

### get

    public void get()
             throws java.util.concurrent.TimeoutException

  Throws:
    `java.util.concurrent.TimeoutException`

### response

    public void response(Message message)

  Specified by:
    `response` in interface `IAsyncCallback`
  Parameters:
    `message` - response received.

### localResponse

    public void localResponse()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation